<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.DataCustomComparisonMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.DataCustomComparison">
        <id column="id" property="id" />
        <result column="epc" property="epc" />
        <result column="epc_name" property="epcName" />
        <result column="epc_type" property="epcType" />
        <result column="area" property="area" />
        <result column="trade_num" property="tradeNum" />
        <result column="year" property="year" />
        <result column="quota" property="quota" />
        <result column="gov_limit" property="govLimit" />
        <result column="epc_limit" property="epcLimit" />
        <result column="userid" property="userid"/>
        <result column="update_time" property="updateTime"/>
        <result column="del_flag" property="delFlag"/>
        <result column="dept_id" property="deptId"/>
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, epc, epc_name, epc_type, area, trade_num, year, quota, gov_limit, epc_limit, userid, update_time, del_flag, dept_id
    </sql>

</mapper>
